Subject: bug#768: 23.0.60; vc-bzr.el re-reads metadata files in an endless loop

From: Torsten Bronger <[email-masked]>
Date: Sat, 23 Aug 2008 17:06:16 +0200 (CEST)

I load a remote file in a Bazaar repository using Emacs Tramp through an ssh
connection.  Sometimes, this means that every five seconds, four remote files
belonging to Bazaar's metadata are read.  These are "dirstate" twice, then
"format" and "last-revision".  After five seconds, this procedure starts again.
I haven't yet figured out when it happens, however, I was once blocked by a
firewall because the repetive ssh connection were considered an attack.

See also http://thread.gmane.org/gmane.emacs.tramp/6641/focus=6641 for a bug
report to the tramp mailing list because I first thought it was a Tramp bug.

The remote Bazaar version is 1.3.1, the local one is 1.5.  The remote
repository is "Bazaar Branch Format 6 (bzr 0.15)".

In GNU Emacs 23.0.60.10 (x86_64-unknown-linux-gnu)
 of 2008-08-20 on wilson
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
configured using `configure  '--prefix=/usr/local/' '--mandir=/usr/local/share/man/' '--infodir=/usr/local/share/info/' '--with-x-toolkit=no' '--with-xpm' '--with-jpeg' '--with-tiff' '--with-gif' '--with-png' '--with-x''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  global-auto-revert-mode: t
  savehist-mode: t
  display-time-mode: t
  desktop-save-mode: t
  mouse-wheel-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t